Perl 6 - the future is here, just unevenly distributed

IRC log for #darcs, 2014-01-02

| Channels | #darcs index | Today | | Search | Google Search | Plain-Text | summary

All times shown according to UTC.

Time Nick Message
01:11 mizu_no_oto joined #darcs
02:21 frohe joined #darcs
02:28 mizu_no_oto joined #darcs
02:39 intripoon joined #darcs
03:17 f-a joined #darcs
03:41 mizu_no_oto joined #darcs
03:43 stepkut joined #darcs
04:23 mizu_no_oto joined #darcs
04:43 preflex joined #darcs
04:45 amgarchIn9 joined #darcs
05:41 computionist So I've discovered some additional packages are required to build from source on Ubuntu, or cabal install darcs fails with a bit of a misleading error about libiconv. I'm wondering where the best place to report this is.
05:45 computionist Ah the bug tracker and the bugs address.
06:08 Gowilla sorry we still haven't fixed that :-(
06:19 computionist Oh, it's not a big deal, it's just not obvious what's missing, i.e. libcurl-*-dev (instead of libiconv which is part of libc and is fine).
06:28 amgarchIn9 joined #darcs
06:45 f-a joined #darcs
06:52 schlaftier joined #darcs
08:49 raichoo joined #darcs
09:49 amgarchIn9 joined #darcs
11:50 raichoo joined #darcs
13:06 amgarchIn9 joined #darcs
13:34 yitz joined #darcs
16:43 MasseR I think I found a bug on destroyUser and renameUser. They check the user repositories with getUserRepositories, but that only finds public repositories, meaning that private repositories are kept dangling
16:44 MasseR (If I'm correct, I have a fix for it)
16:48 sm MasseR: excellent, can you reproduce the bug ?
16:49 MasseR sm: Reading the code
16:49 MasseR Hold on
16:50 MasseR http://hub.darcs.net/simon/darcsden/issue/52 I'm working on this and that came up
16:52 sm I didn't think we had user renaming functionality
16:52 MasseR :D
16:53 sm notdan needs it to rename his account. I think it needs more work to update issues, comments etc.
16:53 MasseR http://hub.darcs.net/simon/darcsden/browse/src/DarcsDen/State/User.hs#215
17:06 MasseR sm: http://hub.darcs.net/MasseR/darcsden/compare/simon/darcsden are those ok?
17:06 MasseR Oh wait, sorry not yet
17:06 MasseR Forgot the schema change
17:15 sm MasseR: can you set up your own test instance ?
17:19 MasseR Probably yeah
17:20 MasseR Just going to take a "while" :)
17:21 sm I can help. It's easiest on gnu/linux
17:21 sm vs. windows/osx, I mean. No offense bsd people
17:21 sm what are you on ?
17:22 MasseR No, I can do it, it just takes a while with the vps
17:40 mizu_no_oto joined #darcs
17:53 MasseR sm: What is this 'z' library on ubuntu/debian? I would've thought I had it installed already
17:54 MasseR zlib1g-dev
17:55 MasseR and build-dep doesn't see any dependent library for libghc6-zlib-dev
18:18 mizu_no_oto joined #darcs
18:35 mizu_no_oto joined #darcs
18:40 MasseR And actually, I even have libz.so in /usr/lib
19:11 sm MasseR: sorry, afk
19:11 sm I don't remember what haskell package requires that lib.. are you having trouble building something ?
19:11 amgarchIn9 joined #darcs
19:16 stepkut joined #darcs
19:23 sm if not, don't worry about it
19:29 MasseR Yea, won't build. But I can work around it
19:50 sm what's the error
19:54 MasseR * Missing C library: z
19:54 MasseR When installing zlib-0.5.4.1
20:06 MasseR Nope, apparently I wasn't capable of working around it :D
20:13 sm MasseR: ah right. On debian-ish systems that C lib is provided by zlib1g-dev
20:14 sm are you on some other distro ?
20:14 MasseR Debian squeezy
20:15 MasseR zlib1g-dev is already the newest version
20:15 sm squeeze ? is that oldstable ?
20:15 MasseR Yeah
20:15 sm so you have /usr/lib/libz.a right
20:16 MasseR No. I have /usr/lib/libz.so
20:16 sm ok.. I was going by http://packages.debian.org/search?searchon=contents&keywords=libz.a&mode=path&suite=oldstable&arch=any but that still sounds good
20:17 sm cabal would normally see that just fine
20:17 MasseR Yes it should
20:18 sm are you using some kind of sandbox ?
20:18 sm got any funny include paths defined in env vars ?
20:19 MasseR Yes I'm using virthualenv, but I also tried installing it outside of it
20:21 sm strange
20:21 sm what's the cabal --version ?
20:22 MasseR 0.14
20:22 sm if cabal update; cabal install cabal-install works, I would totally do that
20:23 MasseR actually there's something else odd as well. I tried installing cabal-install and it complains about broken c compiler
20:23 sm 0.14 is the last of the "bad" cabal versions
20:25 sm are you using the system's ghc 6.12 also ?
20:26 sm I think darcsden will need at least ghc 7.4
20:26 MasseR 7.4
20:28 sm installing the latest haskell platform is probably one easy way to fix your seutp
20:30 MasseR I think the rest is for tomorrow :)
20:35 nomeata joined #darcs
20:35 sm sounds good
20:37 favonia joined #darcs
21:53 schlaftier joined #darcs
21:57 ocharles joined #darcs
22:21 raichoo joined #darcs
22:24 donri joined #darcs
22:24 bishboria_ joined #darcs
22:25 mulander_ joined #darcs
22:34 mulander_ joined #darcs
22:36 f-a joined #darcs
22:44 mulander_ joined #darcs
22:49 amgarchIn9 joined #darcs
23:03 donri joined #darcs
23:08 Heffalump sm: there's been a change in http-conduit that means darcsden either needs to depend on >=2.0, <2.0, or both and use CPP. Any preferences? I'm inclined towards >=2.0
23:12 donri joined #darcs
23:15 sm Heffalump: that sounds good
23:21 ocharles if I record a patch, push it, then amend it - how do I "force push" that out?
23:22 Heffalump ocharles: you need to obliterate the first version at the remote end
23:23 ocharles I thought so, but oblitorate only seems to talk about 'local repository'
23:23 Heffalump you need direct access to the remote end, unfortunately (or perhaps fortunately, you shouldn't really do this in the first place :-)
23:23 ocharles :/
23:23 ocharles It's darcs hub, so that's not really an option
23:23 Heffalump if it's a shared repo, someone else might have pulled from it in the meantime
23:24 Heffalump ah, darcs hub actually offers a way to obliterate by ssh
23:24 Heffalump I think it's ssh hub.darcs.net obliterate reponame
23:24 ocharles oh
23:24 Heffalump sm: couple of patches in "ganesh's darcsden" for mainline
23:25 * Heffalump just realised he hasn't really thought through what constraints the http-conduit >= 2.0 might impose on other libraries or the tools, but we can always patch in the CPP if it proves too constrictive
23:28 sm Heffalump: blindly merged.. thanks! 8-)
23:31 sm ocharles: if you have trouble, there's more info on the front page
23:32 ocharles sm: oh? what should I be reading?
23:32 ocharles (I did get it to work it seems)
23:32 sm ocharles: the fourth-last FAQ. Excellent :)
23:34 ocharles sm: oh yes, of course ):
23:34 ocharles (:*
23:43 sm Heffalump: that builds with current darcs-screened, right ?
23:48 sm ah, I need to cabal install --only-deps
23:49 Heffalump yes

| Channels | #darcs index | Today | | Search | Google Search | Plain-Text | summary